### Function Macro

# Soup UNAVAILABLE

since: 3.0

#### Declaration [src]

    #define SOUP_UNAVAILABLE (
      maj,
      min
    )

#### Description [src]

Marks a symbol unavailable before the given major and minor version.

You should use `SOUP_AVAILABLE_IN_*` in order to handle versioning.

Available since: 3.0

This function is not directly available to language bindings.

#### Parameters

`maj`

  Type: `-`

  The major version that introduced the symbol.

`min`

  Type: `-`

  The minor version that introduced the symbol.